Subject: Re: [PATCH] rtnetlink: Actually use the policy for the IFLA_VF_INFO

From: Daniel Borkmann <[email-masked]>
Date: Fri, 03 Jul 2015 23:52:25 +0200

On 07/03/2015 01:06 AM, Jason Gunthorpe wrote:
> On Thu, Jul 02, 2015 at 10:34:54AM +0200, Daniel Borkmann wrote:
>>> So, commit c02db8c6290b moved it into a nested attribute (IFLA_VF_INFO)
>>> where we indeed don't do further validation. Imho, we should pass the
>>> parsed attribute table from nla_parse_nested() down into do_setvfinfo(),
>>> something like the below; I can give it a test run on my ixgbe.
>>
>> Sorry for the late reply, something like this looks good from my side.
>
> Okay, since it is your patch, will you send it to DaveM with my
> Reported-By?

Either way is fine by me, if you prefer, you can also just update your
initial submission. In any case, we should get it fixed eventually.

Thanks,
Daniel